import co from 'apigo.cc/gojs/console'
import file from 'apigo.cc/gojs/file'
import u from 'apigo.cc/gojs/util'
import ai from 'apigo.cc/ai'

let r = ai.huoshan.fastAsk('用一句话为你的主人写一段生成在山顶喝咖啡的图片的提示词', co.print, {
    systemPrompt: '你的主人是个年轻姑娘，很美丽，喜欢戴帽子'
})
co.println()
co.info('生成的提示词：', r.result)

let r2 = ai.huoshan.makeImage({
    prompt: r.result,
    systemPrompt: '3D卡通，高清，4K，',
    width: 1280,
    height: 720,
})
co.info('生成的图片：', r2.results[0])

let r3 = ai.huoshan.makeImageKeepIP({
    prompt: '年轻姑娘，表情悲伤，骑马在草原上狂奔，天上的云朵，有太阳，有小鸟',
    width: 1280,
    height: 720,
    ref: [r2.results[0]],
})
co.info('生成角色一致的图片：', r3.results[0])

let r3s = ai.huoshan.changeEmotion(r3.results[0], { target_emotion: 'liwo' })
co.info('梨涡笑：', r3s.result)

let r3p = ai.huoshan.makeFacePretty(r3s.result)
file.write('test.jpg', u.unBase64(r3p.result))
co.info('美颜后：', 'test.jpg')

let r4 = ai.huoshan.getHumanSegment(r3p.result)
file.write('test_mask.jpg', u.unBase64(r4.result))
co.info('角色主体：', 'test_mask.jpg')
